Subject: [PATCH] iproute2: update ip address manual page

From: Kenyon Ralph <[email-masked]>
Date: Sun, 4 Mar 2012 12:17:11 -0800

* update synopsis to match "ip address help" output
* specify IPv4, since "IP" is ambiguous
* remove deprecated site scope
* document lifetimes, home, and nodad
* update wording to make sense since page was split from the ip(8) page

Signed-off-by: Kenyon Ralph <[email-masked]>
---
 man/man8/ip-address.8 |   59 +++++++++++++++++++++++++++++++++++++++++-------
 1 files changed, 50 insertions(+), 9 deletions(-)

diff --git a/man/man8/ip-address.8 b/man/man8/ip-address.8
index 971fe16..880ae12 100644
--- a/man/man8/ip-address.8
+++ b/man/man8/ip-address.8
@@ -1,4 +1,4 @@
-.TH "IP\-ADDRESS" 8 "20 Dec 2011" "iproute2" "Linux"
+.TH "IP\-ADDRESS" 8 "04 March 2012" "iproute2" "Linux"
 .SH "NAME"
 ip-address \- protocol address management
 .SH "SYNOPSIS"
@@ -14,7 +14,12 @@ ip-address \- protocol address management
 .sp
 
 .ti -8
-.BR "ip address" " { " add " | " del " } "
+.BR "ip address" " { " add " | " change " | " replace " } "
+.IB IFADDR " dev " STRING
+.RI "[ " LIFETIME " ] [ " CONFFLAG-LIST " ]"
+
+.ti -8
+.BR "ip address del"
 .IB IFADDR " dev " STRING
 
 .ti -8
@@ -51,12 +56,30 @@ ip-address \- protocol address management
 .ti -8
 .IR FLAG " := "
 .RB "[ " permanent " | " dynamic " | " secondary " | " primary " | "\
-tentative " | " deprecated " | " dadfailed " | " temporary " ]"
+tentative " | " deprecated " | " dadfailed " | " temporary " | " CONFFLAG-LIST " ]"
+
+.ti -8
+.IR CONFFLAG-LIST " := [ "  CONFFLAG-LIST " ] " CONFFLAG
+
+.ti -8
+.IR CONFFLAG " := "
+.RB "[ " home " | " nodad " ]"
+
+.ti -8
+.IR LIFETIME " := [ "
+.BI valid_lft " LFT"
+.RB "| " preferred_lft
+.IR  LFT " ]"
+
+.ti -8
+.IR LFT " := [ "
+.BR forever " |"
+.IR SECONDS " ]"
 
 .SH "DESCRIPTION"
 The
 .B address
-is a protocol (IP or IPv6) address attached
+is a protocol (IPv4 or IPv6) address attached
 to a network device.  Each device must have at least one address
 to use the corresponding protocol.  It is possible to have several
 different addresses attached to one device.  These addresses are not
@@ -123,10 +146,6 @@ Predefined scope values are:
 .B global
 - the address is globally valid.
 .sp
-.B site
-- (IPv6 only) the address is site local, i.e. it is
-valid inside this site.
-.sp
 .B link
 - the address is link local, i.e. it is valid only on this device.
 .sp
@@ -134,6 +153,28 @@ valid inside this site.
 - the address is valid only inside this host.
 .in -8
 
+.TP
+.BI valid_lft " LFT"
+(IPv6 only) the valid lifetime of this address; see section 5.5.4 of
+RFC 4862. Defaults to
+.BR "forever" .
+
+.TP
+.BI preferred_lft " LFT"
+(IPv6 only) the preferred lifetime of this address; see section 5.5.4
+of RFC 4862. Defaults to
+.BR "forever" .
+
+.TP
+.B home
+(IPv6 only) designates this address the "home address" as defined in
+RFC 6275.
+
+.TP
+.B nodad
+(IPv6 only) do not perform Duplicate Address Detection (RFC 4862) when
+adding this address.
+
 .SS ip address delete - delete protocol address
 .B Arguments:
 coincide with the arguments of
@@ -202,7 +243,7 @@ The difference is that it does not run when no arguments are given.
 .B Warning:
 This command (and other
 .B flush
-commands described below) is pretty dangerous.  If you make a mistake,
+commands) is pretty dangerous.  If you make a mistake,
 it will not forgive it, but will cruelly purge all the addresses.
 
 .PP
-- 
1.7.9